Subject: Re: bug#11686: 24.1.50; defun should return name

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jun 2012 11:58:09 -0400

>> Maybe a simpler way is to change defalias to return the name rather than
>> the value.
> But defalias says:
> | (defalias SYMBOL DEFINITION &optional DOCSTRING)
> | Set SYMBOL's function definition to DEFINITION, and return DEFINITION.
> So you'll probably then get a bug report about that instead.

We'll see, I just installed a patch that does that.

I don't know of any use-case where the return value of `defalias' is
used, whereas I do know of one use case where the return value of
`defun' is used (it's in (add-hook 'foo-hook (defun bar () ...))).

        Stefan